Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CurveSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Curve. More...

`#include <xfc/gtk/curvesignals.hh>`

Inheritance diagram for Xfc::Gtk::CurveSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_curve_type_changed ()
    Called when the curve type changes.

## Protected Member Functions

Constructors

- CurveSignals (Curve *curve)
    Construct a new CurveSignals object.
- virtual ~CurveSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Curve.

## Constructor & Destructor Documentation

Xfc::Gtk::CurveSignals::CurveSignals | ( | Curve * | curve | ) | `[protected]`

Construct a new CurveSignals object.

Parameters:

  | curve | A Curve object inheriting the CurveSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::CurveSignals::on_curve_type_changed | ( |  | ) | `[virtual]`

| Called when the curve type changes. The curve type can be changed explicitly with a call to set_curve_type(). It is also changed as a side-effect of calling reset() or set_gamma().

The documentation for this class was generated from the following file:

- curvesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3